## django-simple-captcha 0.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DjangoSimpleCaptcha.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DjangoSimpleCaptcha.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-simple-captcha 0.4.2

=== debian/changelog ===
django-simple-captcha (0.4.2-8) unstable; urgency=low

  * Fix Django 1.7 AppRegistryNotReady error, by calling django.setup()
    in tests. Closes: #764947.

 -- Brian May <bam@debian.org>  Mon, 13 Oct 2014 11:14:04 +1100

django-simple-captcha (0.4.2-7) unstable; urgency=low

  * Fix debian/copyright. Is EXPAT license, not BSD.

 -- Brian May <bam@debian.org>  Wed, 10 Sep 2014 09:15:10 +1000

django-simple-captcha (0.4.2-6) unstable; urgency=low

  * Fix typo in debian/copyright.
  * Initial upload to Debian. Closes: #752140.

 -- Brian May <bam@debian.org>  Tue, 22 Jul 2014 09:20:04 +1000

django-simple-captcha (0.4.2-5) unstable; urgency=low

  * Simplify how we call the tests in debian/rules.
  * Change copyright to DEP5.
  * Include Bitstream license in copyright file.
  * Symlink to font supplied in ttf-bitstream-vera.

 -- Brian May <bam@debian.org>  Fri, 04 Jul 2014 10:58:51 +1000

django-simple-captcha (0.4.2-4) unstable; urgency=low

  * Python3 package.

 -- Brian May <bam@debian.org>  Wed, 02 Jul 2014 14:26:41 +1000

django-simple-captcha (0.4.2-3) unstable; urgency=low

  * Rename package to python-django-captcha, and provide dummy package for
    upgrades.

 -- Brian May <bam@debian.org>  Fri, 20 Jun 2014 13:47:38 +1000

django-simple-captcha (0.4.2-2) unstable; urgency=low

  * Remove depends on python-pillow, it isn't needed. We
    require python-imaging be installed during build.

 -- Brian May <bam@debian.org>  Wed, 02 Apr 2014 13:40:53 +1100

django-simple-captcha (0.4.2-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 02 Apr 2014 13:16:14 +1100

django-simple-captcha (0.3.7-4) unstable; urgency=low

  * Requires at least python 2.6.

 -- Brian May <bam@debian.org>  Thu, 30 May 2013 13:52:57 +1000

django-simple-captcha (0.3.7-3) unstable; urgency=low

  * Add depends on python-six.

 -- Brian May <bam@debian.org>  Wed, 29 May 2013 16:14:33 +1000

django-simple-captcha (0.3.7-2) unstable; urgency=low

  * Remove depends on python-pillow, which is not needed.

 -- Brian May <bam@debian.org>  Wed, 29 May 2013 11:37:31 +1000

django-simple-captcha (0.3.7-1) unstable; urgency=low

  * New upstream release.
  * Update Debian packaging.

 -- Brian May <bam@debian.org>  Wed, 29 May 2013 09:53:05 +1000

django-simple-captcha (0.3.6~20130219-1) unstable; urgency=low

  * New upstream version.
  * Taking over Packaging.

 -- Brian May <bam@debian.org>  Tue, 19 Feb 2013 10:09:59 +1100

django-simple-captcha (0.1.7-2) testing; urgency=low

  * Fixed wrong dependency

 -- Sam Morrison <sam@vpac.org>  Wed, 26 May 2010 10:28:16 +1000

django-simple-captcha (0.1.7-1) testing; urgency=low

  * Initial release. 

 -- Sam Morrison <sam@vpac.org>  Wed, 26 May 2010 09:52:10 +1000

=== debian/control ===
Source: django-simple-captcha
Section: python
Priority: optional
Maintainer: Brian May <bam@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>=8.1.0), dh-python,
 python-all (>= 2.6.6-3~), python-setuptools, python-django, python-pil, python-six,
 python3-all, python3-setuptools, python3-django, python3-pil, python3-six
Standards-Version: 3.9.5
Homepage: https://github.com/mbi/django-simple-captcha
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-simple-captcha/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-simple-captcha/trunk/
X-Python-Version: >= 2.6

Package: python-django-captcha
Architecture: all
Replaces: django-simple-captcha (<< 0.4.2-3)
Breaks: django-simple-captcha (<< 0.4.2-3)
Depends: ${misc:Depends}, ${python:Depends}, ttf-bitstream-vera
Description: Django Simple Captcha Django application
 Django Simple Captcha is an extremely simple, yet highly customizable Django
 application to add captcha images to any Django form.

Package: python3-django-captcha
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ttf-bitstream-vera
Description: Django Simple Captcha Django application
 Django Simple Captcha is an extremely simple, yet highly customizable Django
 application to add captcha images to any Django form.

Package: django-simple-captcha
Architecture: all
Depends: ${misc:Depends}, python-django-captcha
Description: Django Simple Captcha Django application
 This is a dummy package to aid switching to python-django-captcha.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-captcha

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

.PHONY: override_dh_auto_test
override_dh_auto_test:
	python2 debian/run_tests.py
	python3 debian/run_tests.py

override_dh_install:
	dh_install

	find debian/python-django-captcha -name Vera.ttf -exec \
		ln -sf /usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf {} \;;

	find debian/python3-django-captcha -name Vera.ttf -exec \
		ln -sf /usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf {} \;;

## django-simple-captcha 0.4.5

=== debian/changelog ===
django-simple-captcha (0.4.5-1) unstable; urgency=medium

  * New upstream version.
  * Supports Django 1.7 migrations.

 -- Brian May <bam@debian.org>  Fri, 10 Apr 2015 10:00:05 +1000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>=8.1.0), dh-python,
  python-all (>= 2.6.6-3~), python-setuptools, python-django, python-pil, python-six,
  python3-all, python3-setuptools, python3-django, python3-pil, python3-six
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/mbi/django-simple-captcha
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-simple-captcha/trunk/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-simple-captcha/trunk/

## django-simple-captcha 0.5.1

=== debian/changelog ===
django-simple-captcha (0.5.1-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Sun, 06 Dec 2015 12:36:54 +1100

django-simple-captcha (0.4.8-1) unstable; urgency=medium

  * New upstream version.
  * Fixes FTBFS with Django 1.9. Closes: #806358.

 -- Brian May <bam@debian.org>  Thu, 03 Dec 2015 08:50:40 +1100

django-simple-captcha (0.4.6-2) unstable; urgency=medium

  * Ensure tests run for Python3.4 and Python3.5.

 -- Brian May <bam@debian.org>  Mon, 26 Oct 2015 13:39:20 +1100

django-simple-captcha (0.4.6-1) unstable; urgency=medium

  * New upstream version.
  * Add debian/watch file.
  * Swap Maintainer and Uploaders fields. Maintainer is now DPMT.

 -- Brian May <bam@debian.org>  Thu, 22 Oct 2015 12:29:26 +1100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: django-simple-captcha
 Section: python
 Priority: optional
-Maintainer: Brian May <bam@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>=8.1.0), dh-python,
  python-all (>= 2.6.6-3~), python-setuptools, python-django, python-pil, python-six,
  python3-all, python3-setuptools, python3-django, python3-pil, python3-six
 Standards-Version: 3.9.6
 Homepage: https://github.com/mbi/django-simple-captcha
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-simple-captcha/trunk/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-simple-captcha/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-simple-captcha.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-simple-captcha.git
 X-Python-Version: >= 2.6
 
 Package: python-django-captcha

## django-simple-captcha 0.5.5

=== debian/changelog ===
django-simple-captcha (0.5.5-1) unstable; urgency=medium

  * New upstream version. Closes: #865940.

 -- Brian May <bam@debian.org>  Tue, 04 Jul 2017 16:52:11 +1000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
-Build-Depends: debhelper (>=8.1.0), dh-python,
+Build-Depends: debhelper (>=9), dh-python,
  python-all (>= 2.6.6-3~), python-setuptools, python-django, python-pil, python-six,
- python3-all, python3-setuptools, python3-django, python3-pil, python3-six
-Standards-Version: 3.9.6
+ python-testfixtures,
+ python3-all, python3-setuptools, python3-django, python3-pil, python3-six,
+ python3-testfixtures
+Standards-Version: 4.0.0
 Homepage: https://github.com/mbi/django-simple-captcha
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-simple-captcha.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-simple-captcha.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-simple-captcha.git
 X-Python-Version: >= 2.6
 
 Package: python-django-captcha

## django-simple-captcha 0.5.6

=== debian/changelog ===
django-simple-captcha (0.5.6-1) unstable; urgency=medium

  [ Brian May ]
  * New upstream version.
  * Fixes compatibility with Django 2.0. Closes: #882140.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing white space.

 -- Brian May <bam@debian.org>  Mon, 02 Apr 2018 14:35:56 +1000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>=9), dh-python,
  python-all (>= 2.6.6-3~), python-setuptools, python-django, python-pil, python-six,
- python-testfixtures,
+ python-testfixtures, python-django-ranged-response,
  python3-all, python3-setuptools, python3-django, python3-pil, python3-six,
- python3-testfixtures
+ python3-testfixtures, python3-django-ranged-response,
 Standards-Version: 4.0.0
 Homepage: https://github.com/mbi/django-simple-captcha
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-simple-captcha.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-simple-captcha.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/django-simple-captcha
+Vcs-Git: https://salsa.debian.org/python-team/modules/django-simple-captcha.git
 X-Python-Version: >= 2.6
 
 Package: python-django-captcha

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
-	python2 debian/run_tests.py
-	python3 debian/run_tests.py
+	dh_auto_test -- --system=custom --test-args="cd testproject && {interpreter} manage.py test captcha"
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-simple-captcha/django-simple-captcha-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-simple-captcha 0.5.14

=== debian/changelog ===
django-simple-captcha (0.5.14-2) unstable; urgency=medium

  * Team upload
  * [fa53d29] autopkgtest: Add extra additional requirement
  * [1dc69bf] d/control: Suggest the -doc package in the lib package
  * [639ff8c] d/control: Mark the -doc package Multi-Arch: foreign
  * [3be32b0] d/u/metadata: Adding basic meta data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 24 Sep 2021 20:56:17 +0200

django-simple-captcha (0.5.14-1) unstable; urgency=medium

  * Team upload
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Carsten Schoenert ]
  * [36e7c2d] New upstream version 0.5.14
    (Closes: #961066, #961177)
  * [63fe435] Rebuild patchqueue from patch queue branch
    Removed patch (included upstream):
    fix-test-settings.py.patch
    Added patch:
    0001-doc-Drop-linking-to-external-Travis-status.patch
  * [e59cdd4] d/watch: Update watch to version 4
  * [8204da3] Remove folder d/missing-sources
    This folder and the including files aren't needed any more, upstream
    isn't shipping the minimized files since a few versions.
  * [5d8e8c0] d/control: Bump debhelper to version 13
  * [39ad3eb] d/control: Adding entry Rules-Requires-Root: no
  * [1f09a88] d/control: Add sphinx related B-D packages
  * [2ef069f] d/control: Split off build depending packages
  * [e4f123e] d/rules: Build the sphinx documentation
  * [af15810] d/control: Add new package for documentation
  * [0ad4930] python-django-captcha-doc: Adding additional sequencer
  * [1e0e441] d/copyright: Update content due upstream changes
  * [d301b01] msgfmt: Rebuild the l10n message catalogs
  * [5bb6d8b] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [ba0bf12] d/tests: Adding a basic autopkgtest
  * [d689084] d/rules: Remove non needed .txt files within font folder
  * [5d8caba] lintian: Add overide for python3-django-captcha

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Sep 2021 22:41:06 +0200

django-simple-captcha (0.5.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Ran wrap-and-sort -bast.
  * Removed Python 2 support.
  * Fixes for Django 2.2:
    - Add fix-test-settings.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 15:03:23 +0200

=== debian/control ===
Source: django-simple-captcha
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-django,
 python3-django-ranged-response,
 python3-pil,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-testfixtures,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/mbi/django-simple-captcha
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-simple-captcha
Vcs-Git: https://salsa.debian.org/python-team/packages/django-simple-captcha.git

Package: python-django-captcha-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Simple Captcha Django application (Documentation)
 Django Simple Captcha is an extremely simple, yet highly customizable Django
 application to add captcha images to any Django form.
 .
 This package contains the documentation.

Package: python3-django-captcha
Architecture: all
Depends:
 ttf-bitstream-vera,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-captcha-doc,
Description: Simple Captcha Django application (Python3)
 Django Simple Captcha is an extremely simple, yet highly customizable Django
 application to add captcha images to any Django form.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-captcha

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-captcha-doc/usr/share/doc/python-django-captcha-doc/html
	dh_sphinxdoc
endif

.PHONY: override_dh_auto_test
override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="cd testproject && {interpreter} manage.py test captcha"

override_dh_install:
	dh_install
	find debian/python3-django-captcha -name Vera.ttf -exec \
		ln -sf /usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf {} \;;
	# Remove these *.TXT files, we link to the used font any way.
	rm debian/python3-django-captcha/usr/lib/python3*/dist-packages/captcha/fonts/*.TXT

override_dh_auto_build: rebuild-locale
	dh_auto_build

rebuild-locale:
	@echo
	@echo "Rebuild the GNU message catalogs..."
	@echo
	for lang in `find captcha/locale/ -maxdepth 1 -type d | sort`; do \
	    if [ -f $${lang}/LC_MESSAGES/django.po ]; then \
	        LANG=`basename $${lang}` ;\
	        echo "Create message catalog for '$${LANG}'" ;\
	        msgfmt -v $${lang}/LC_MESSAGES/django.po -o $${lang}/LC_MESSAGES/django.mo ;\
	    fi ;\
	done

=== debian/tests/control ===
Test-Command: cp -r testproject ${AUTOPKGTEST_TMP}/ && cd ${AUTOPKGTEST_TMP}/testproject && PYTHONPATH=. && python3 manage.py test captcha
Depends: @,
 python3-testfixtures,
Restrictions: allow-stderr

=== debian/watch ===
# watch file for django-simple-captcha

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/django-simple-captcha-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/mbi/django-simple-captcha.git \
      refs/tags/v?(\d\S*)

## django-simple-captcha 0.5.17

=== debian/changelog ===
django-simple-captcha (0.5.17-1) unstable; urgency=medium

  * Team upload
  * [a029eeb] New upstream version 0.5.17
  * [6e7ce7a] autopkgtest: Enhanced to run with all Python versions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 08 Mar 2022 17:00:45 +0100

## django-simple-captcha 0.5.18

=== debian/changelog ===
django-simple-captcha (0.5.18-1) unstable; urgency=medium

  * Team upload
  * [88c916f] New upstream version 0.5.18
  * [f905fc0] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [aa3c931] Lintian: Adjust override due lintian changes
  * [3587181] d/copyright: Update year data, add myself
  * [0bebc04] d/control: Adding BuildProfileSpecs data
  * [c5be96d] d/rules: Drop --with option in default target
  * [ddcdd4b] d/rules: Use $(SPHINXOPTS) for sphinx build

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 07 Jul 2023 20:05:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,20 @@
  Brian May <bam@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  gettext,
 Build-Depends-Indep:
- dh-python,
  python3-all,
- python3-django,
- python3-django-ranged-response,
- python3-pil,
+ python3-django <!nocheck>,
+ python3-django-ranged-response <!nocheck>,
+ python3-pil <!nocheck>,
  python3-setuptools,
- python3-sphinx,
- python3-sphinx-rtd-theme,
- python3-testfixtures,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-testfixtures <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/mbi/django-simple-captcha
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-simple-captcha
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-simple-captcha.git

## django-simple-captcha 0.6.0

=== debian/changelog ===
django-simple-captcha (0.6.0-1) unstable; urgency=medium

  * Team upload
  * [511a1fd] New upstream version 0.6.0
  * [487a043] d/control: Depend bin package on python3-django >= 3:4.2~

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 08 Dec 2023 21:40:24 +0100

django-simple-captcha (0.5.20-1) unstable; urgency=medium

  * Team upload
  * [a7d1b97] d/watch: Set compression to gz
  * [214cba8] d/gbp.conf: Add some more useful defaults
  * [2a3095f] New upstream version 0.5.20

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 03 Nov 2023 19:24:34 +0100

=== debian/control ===
--- 
+++ 
@@ -40,6 +40,7 @@
 Package: python3-django-captcha
 Architecture: all
 Depends:
+ python3-django (>= 3:4.2~),
  ttf-bitstream-vera,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,21 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+#export DH_VERBOSE = 1
+
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
+SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
 
 export PYBUILD_NAME=django-captcha
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-captcha-doc/usr/share/doc/python-django-captcha-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-django-captcha-doc/usr/share/doc/python-django-captcha-doc/html
 	dh_sphinxdoc
 endif

## django-simple-captcha 0.6.2

=== docs/requirements.txt ===
sphinx-book-theme

=== debian/changelog ===
django-simple-captcha (0.6.2-1) unstable; urgency=medium

  * Team upload
  * [79708a1] New upstream version 0.6.2
  * [a4aad4c] Rebuild patch queue from patch-queue branch
    Added patch:
    docs-Switch-back-to-theme-default.patch
    Renamed patch:
    0001-doc-Drop-linking-to-external-Travis-status.patch
    -> docs-Drop-linking-to-external-Travis-status.patch
  * [d577ea2] d/control: Update Standards-Version to 4.7.2
  * [59fd920] d/copyright: Update year data
  * [9988127] d/rules: Drop -D option from SPHINXOPTS
  * [6bdddef] d/rules: Remove .mypy_cache also while dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Mar 2025 08:27:52 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-testfixtures <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/mbi/django-simple-captcha
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-simple-captcha
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-simple-captcha.git

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,16 @@
 
 #export DH_VERBOSE = 1
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=django-captcha
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .mypy_cache
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests:
 smoke
Depends:
 python3-all,
 python3-testfixtures,
 @,
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       filenamemangle=s/.+\/(\d\S*)\.tar\.gz/django-simple-captcha-$1.tar.gz/ \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \

## django-simple-captcha 0.6.3

=== debian/changelog ===
django-simple-captcha (0.6.3-1) unstable; urgency=medium

  * Team upload
  * [b9151fe] d/watch: Convert to version 5
  * [4e29e03] New upstream version 0.6.3
  * [870a2f8] Rebuild patch queue from patch-queue branch
    Dropped patch (not needed anymore):
    docs-Switch-back-to-theme-default.patch
  * [080657c] d/control: Use the packaged sphinx_book_theme
  * [022ad35] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [c35f824] d/control: Update Standards-Version to 4.7.3
    No further changes needed.
  * [a392b1e] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 08 Jan 2026 16:24:27 +0200

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,9 @@
  python3-pil <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
+ python3-sphinx-book-theme<!nodoc>,
  python3-testfixtures <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/mbi/django-simple-captcha
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-simple-captcha
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-simple-captcha.git

=== debian/watch ===
Version: 5

Source: https://github.com/mbi/django-simple-captcha.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
Compression: gz
Pgpmode: none
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
